/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

'use strict';

const path = require('path');

module.exports = {
  extends: ['stylelint-config-standard', 'stylelint-config-prettier'],
  ignoreFiles: ['node_modules', '**/*.md'],
  defaultSeverity: 'warning',
  plugins: [path.resolve(__dirname, 'plugins/styling-hooks-pattern.js')],
  rules: {
    'sds-stylelint-plugin/styling-hooks-pattern': [true],
    'selector-type-no-unknown': [true, { ignore: ['custom-elements'] }],
  },
};
